Bug 719809 - collectd-web config file DataDir value wrong
collectd-web config file DataDir value wrong
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: collectd (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-07 23:34 EDT by Matt Domsch
Modified: 2011-12-22 22:25 EST (History)
3 users (show)

See Also:
Fixed In Version: collectd-4.10.4-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-22 22:25:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2011-07-07 23:34:15 EDT
Description of problem:
collectd.spec generates /etc/collectd.d/rrdtool.conf , but does not include sufficient information to make it usable directly.  The missing stanza should look like:

<Plugin "rrdtool">
  DataDir "/var/lib/collectd/rrd"
  CacheFlush 120
  WritesPerSecond 50
</Plugin>

However, collectd-web provides /etc/collection.conf, which specifies DataDir as "/var/lib/collectd".

Furthermore, the default collected /etc/collectd.conf file provided has a commented-out stanza for rrdtool, as such:


#<Plugin rrdtool>
#       DataDir "/usr/var/lib/collectd/rrd"
#       CacheTimeout 120
#       CacheFlush   900
#</Plugin>

which suggests that /var/lib/collectd/rrd would be appropriate.  (note also, each of those suggest /usr/var/lib/... instead of simply /var/lib, that should be fixed somehow as well...)

I suggest adding to collectd.spec to write out the stanza above into rrdtool.conf, and fix /etc/collection.conf to use /var/lib/collectd/rrd as the default value for DataDir.  In this way, installing collectd-rrdtool and collected-web, everything will "just work" out of the box.


Version-Release number of selected component (if applicable):
collectd-4.9.5-2.fc14, but appears similar in 4.10.3-4.
Comment 1 Fedora Update System 2011-11-29 05:07:05 EST
collectd-4.10.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/collectd-4.10.4-1.fc16
Comment 2 Fedora Update System 2011-11-29 21:03:28 EST
Package collectd-4.10.4-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing collectd-4.10.4-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16624/collectd-4.10.4-1.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-12-22 22:25:33 EST
collectd-4.10.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.